Bug 215092 - systems without redhat-release can register
systems without redhat-release can register
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Slagle
Corey Welton
Depends On:
Blocks: 232328
  Show dependency treegraph
Reported: 2006-11-10 16:44 EST by Máirín Duffy
Modified: 2007-04-18 13:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-18 11:31:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2006-11-10 16:44:49 EST
Description of problem:
we know a RHEL system without sufficient corresponding entitlements on the given
login will not be able to successfully register.

however, what about a fedora system? i think it will - need to make sure we are
checking for this. right now in prod the rhel 5 beta mappings are not in place
and we can consistently register rhel 5 b 2 systems to an account without rhel 5
beta software channel entitlements. in webqa (which has the mappings) this is
not the case.
Comment 1 James Bowes 2006-11-16 15:52:10 EST
Sounds to me like this is server-side.
Comment 2 Mike McCune 2007-04-11 12:37:30 EDT
James, can you see if this is worth fixing or not?
Comment 3 James Slagle 2007-04-18 11:31:29 EDT
I don't really think this is an issue.  On my FC6 machine if I try to register,
I get the Error Class Code: 70, All available subscriptions for the requested
channel have been exhausted, and I am prevented from registering.

I can register to the same account fine if I'm using rhel4/5.

Note You need to log in before you can comment on or make changes to this bug.